## dds2tar 2.4.15

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,21 @@
 # uncomment the following line :
 HPDAT=-DHPDAT
 
+# To enable the use of the log pages of an HPDAT,
+# uncomment the following line :
+#
+# Vendorid:
+# 0 : HP
+# 1 : SEGATE
+# 2 : Archive
+VENDOR=-DVENDOR=0
+
 # Default tape device is: /dev/nst0
 # edit or uncomment the following line to change the default device
 DEVICE=/dev/rmt0
+
+# Enable trace mode -- for debugging only
+# TRACE=-DDDS_TRACE=1
 
 # The tape blocks are read into a buffer, so the buffer of dds2tar
 # should be in the same size as the one in /usr/src/linux/driver/scsi/st.c
@@ -40,8 +52,8 @@
 
 # place here your favorite C compiler and options
 CC=cc
-CCOPT=$(HPDAT) $(HPDAT4) $(EXP_STUFF) $(MATCH) $(BUFFER) \
-      -DDEVICE=\"$(DEVICE)\" -O4 -Wall
+CCOPT=$(HPDAT) $(HPDAT4) $(VENDOR) $(EXP_STUFF) $(MATCH) $(BUFFER) \
+      -DDEVICE=\"$(DEVICE)\" -O4 -Wall $(TRACE)
 
 #        -Wall \
 #        -Wstrict-prototypes \
@@ -63,9 +75,8 @@
 
 .SUFFIXES: .c .o .man .$(MANEXT) .ps .s
 
-V=2.4.13
+V=2.4.15
 D=dds2tar-${V}
-T=tar-1.11.8
 
 CCFLAGS=-DVERSION=\"$V\"
 
@@ -93,6 +104,7 @@
 $(D)/dds_chkhdr.c \
 $(D)/tar-1.11.2.patch \
 $(D)/tar-1.11.8.patch \
+$(D)/tar-1.12.patch \
 $(D)/tar-1.11.2-sparse-files.patch \
 $(D)/tar-1.11.2-sparse-files.README \
 $(D)/dds2tar-test.sh \
@@ -143,7 +155,7 @@
 	ln -f $(BINDIR)/dds2tar  $(BINDIR)/mt-dds
 	ln -f $(BINDIR)/dds2tar  $(BINDIR)/dds-dd
 
-tar: dds2tar.ps dds2index.ps mt-dds.ps dds-dd.ps tar-1.11.8.patch
+tar: dds2tar.ps dds2index.ps mt-dds.ps dds-dd.ps tar-1.12.patch
 	cd .. ; echo ' ' ; \
 		$(TAR) -R -c -f $(D).tar -v $(ARCHIVE) ;
 		echo ' '
@@ -156,11 +168,13 @@
 	-rm -f ../dds2tar archive_length
 	cd .. ; ln -s $(D) dds2tar
 	echo ' '
-	cd .. ; tar zfc tar-1.11.8.1.tar.gz --totals tar-1.11.8.1
+	cd .. ; tar zfc tar-1.12.1.tar.gz --totals tar-1.12.1
 	cd .. ; tar cf archive.tar ${D}.lsm ${D}.tar.gz ${T}.1.tar.gz
 
-T=tar-1.11.8
-tar-patch tar-1.11.8.patch: 
+T=tar-1.12
+tar-patch tar-1.12.patch: 
+	cd .. ;  diff -ru ${T} ${T}.1 > $(D)/${T}.patch ; true
+	ls -l tar-*patch
 	cd .. ;  diff -ru ${T} ${T}.1 > $(D)/${T}.patch ; true
 	ls -l tar-*patch
