## dds2tar 2.4.21

=== Makefile ===
--- 
+++ 
@@ -5,21 +5,14 @@
 # To install the executables and man pages:  make install
 #--------------------------------------------------------
 
+V=2.4.21
+
 # Here are some configurable options:
 ################################################################
 
 # To enable the use of the log pages of an HPDAT,
 # uncomment the following line :
 HPDAT=-DHPDAT
-
-# To enable the use of the log pages of an HPDAT,
-# uncomment the following line :
-#
-# Vendorid:
-# 0 : HP
-# 1 : SEGATE
-# 2 : Archive
-VENDOR=-DVENDOR=0
 
 # Default tape device is: /dev/nst0
 # edit or uncomment the following line to change the default device
@@ -51,8 +44,8 @@
 MANEXT=1
 
 # place here your favorite C compiler and options
-CC=cc
-CCOPT=$(HPDAT) $(HPDAT4) $(VENDOR) $(EXP_STUFF) $(MATCH) $(BUFFER) \
+CC=cc -g
+CCOPT=$(HPDAT) $(HPDAT4) $(EXP_STUFF) $(MATCH) $(BUFFER) \
       -DDEVICE=\"$(DEVICE)\" -O4 -Wall $(TRACE)
 
 #        -Wall \
@@ -75,7 +68,6 @@
 
 .SUFFIXES: .c .o .man .$(MANEXT) .ps .s
 
-V=2.4.15
 D=dds2tar-${V}
 
 CCFLAGS=-DVERSION=\"$V\"
@@ -102,6 +94,7 @@
 $(D)/dds_tape.h \
 $(D)/dds_tape.c \
 $(D)/dds_chkhdr.c \
+$(D)/scsi_vendor \
 $(D)/tar-1.11.2.patch \
 $(D)/tar-1.11.8.patch \
 $(D)/tar-1.12.patch \
@@ -145,6 +138,7 @@
 install: dds2tar ddstool \
 	dds2tar.$(MANEXT) mt-dds.$(MANEXT) dds2index.$(MANEXT) dds-dd.$(MANEXT)
 	install -c -s dds2tar $(BINDIR)
+	install scsi_vendor $(BINDIR)
 	install -c ddstool $(BINDIR)
 	ls -l $(BINDIR)/dds2tar $(BINDIR)/ddstool
 	install -c dds2tar.$(MANEXT)   $(MANDIR)/man$(MANEXT)
