## dds2tar 2.5.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # To install the executables and man pages:  make install
 #--------------------------------------------------------
 
-V=2.4.21
+V=2.5.2
 
 # Here are some configurable options:
 ################################################################
@@ -94,16 +94,18 @@
 $(D)/dds_tape.h \
 $(D)/dds_tape.c \
 $(D)/dds_chkhdr.c \
+$(D)/dds_quote.c \
 $(D)/scsi_vendor \
 $(D)/tar-1.11.2.patch \
 $(D)/tar-1.11.8.patch \
 $(D)/tar-1.12.patch \
+$(D)/tar-1.13.patch \
 $(D)/tar-1.11.2-sparse-files.patch \
 $(D)/tar-1.11.2-sparse-files.README \
 $(D)/dds2tar-test.sh \
 $(D)/index-of-tar \
 $(D)/index-of-tar-v \
-$(D)/index-of-tar-2 \
+$(D)/index-of-tar-t \
 $(D)/index-of-dds2index \
 $(D)/.indent.pro \
 $(D)/dds2tar.lsm \
@@ -111,7 +113,7 @@
 $(D)/ddstool \
 
 
-OBJ= dds_index.o dds_extract.o dds_tape.o \
+OBJ= dds_index.o dds_extract.o dds_tape.o dds_quote.o \
      zf-cre-open.o dds_chkhdr.o
 
 
@@ -149,8 +151,9 @@
 	ln -f $(BINDIR)/dds2tar  $(BINDIR)/mt-dds
 	ln -f $(BINDIR)/dds2tar  $(BINDIR)/dds-dd
 
-tar: dds2tar.ps dds2index.ps mt-dds.ps dds-dd.ps tar-1.12.patch
-	cd .. ; echo ' ' ; \
+T=tar-1.13
+tar: dds2tar.ps dds2index.ps mt-dds.ps dds-dd.ps ${T}.patch
+	-cd .. ; echo ' ' ; \
 		$(TAR) -R -c -f $(D).tar -v $(ARCHIVE) ;
 		echo ' '
 	ls -l ../$(D).tar
@@ -162,14 +165,12 @@
 	-rm -f ../dds2tar archive_length
 	cd .. ; ln -s $(D) dds2tar
 	echo ' '
-	cd .. ; tar zfc tar-1.12.1.tar.gz --totals tar-1.12.1
+	cd .. ; tar zfc ${T}.1.tar.gz --totals ${T}.1
 	cd .. ; tar cf archive.tar ${D}.lsm ${D}.tar.gz ${T}.1.tar.gz
 
-T=tar-1.12
-tar-patch tar-1.12.patch: 
-	cd .. ;  diff -ru ${T} ${T}.1 > $(D)/${T}.patch ; true
+tar-patch tar-1.13.patch: 
 	ls -l tar-*patch
-	cd .. ;  diff -ru ${T} ${T}.1 > $(D)/${T}.patch ; true
+	cd ..; diff -ru ${T} ${T}.1 |grep -v 'Only in '> $(D)/${T}.patch ;true
 	ls -l tar-*patch
 
 .c.o:
@@ -205,8 +206,10 @@
 	groff -man mt-dds.$(MANEXT)    > mt-dds.ps
 	groff -man dds-dd.$(MANEXT)    > dds-dd.ps
 
+dds_quote.o:dds_quote.c dds2tar.h
 dds_extract.o:dds_extract.c dds2tar.h dds_tape.h
 dds_index.o:dds_index.c dds2tar.h dds_tape.h
+dds_quote.o:dds_quote.c dds2tar.h
 dds_tape.o:dds_tape.c dds2tar.h dds_tape.h
 zf-cre-open.o:zf-cre-open.c zf-cre-open.h
