=== debian/changelog ===
dds2tar (2.5.2-9) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs. (Closes: #1024798)
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. 
    (Closes: #939724). Thanks Helmut Grohne <helmut@subdivi.de> 
  * Fix reproducible-builds, (Closes: #1011429)
    Thanks Vagrant Cascadian <vagrant@reproducible-builds.org>
  * Set Std-Ver to 4.6.1
  * Use debhelper-compat(13)
  * Add d/dds2tar.lintian-overrides

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 25 Nov 2022 16:54:52 +0800

dds2tar (2.5.2-8) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007504).
  * d/copyright: Convert to machine-readable format.
  * Drop gbp.conf as there is no Vcs anymore.

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 23:17:55 +0100

dds2tar (2.5.2-7) unstable; urgency=medium

  * Fix regression where scsi_vendor.1 and ddstool.1 were
    not installed.

 -- Niels Thykier <niels@thykier.net>  Mon, 27 Jul 2015 22:53:52 +0200

dds2tar (2.5.2-6) unstable; urgency=medium

  * QA Upload.
  * Bump debhelper compat to 9.
  * Rewrite debian/rules to use the dh7 "tiny" style.
  * Add ${misc:Depends} as dependency.
  * Comment out Vcs fields, since the previous repository
    is a privately hosted repository.  The fields are left
    for any adopter, who might find it helpful.
  * Enable hardening.
    - Patch dds2tar.c to avoid passing a non-literal to fprintf
      as format (without format arguments).
    - Patch Makefile to pass LDFLAGS to linker.

 -- Niels Thykier <niels@thykier.net>  Mon, 27 Jul 2015 22:50:28 +0200

dds2tar (2.5.2-5) unstable; urgency=low

  * orphan this package
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Feb 2013 10:15:16 -0700

dds2tar (2.5.2-4) unstable; urgency=low

  * don't let Makefile strip binaries, closes: #436710
  * update man pages to make it clear that Debian does not include the
    --record-file option in our package of tar, so some of the functionality
    of the dds2tar package will only work with a locally modified version
    of the tar executable, closes: #220228, #285796
  * accept patch for scsi_vendor csh->bash translation bugs, closes: #292066

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 Apr 2008 00:26:26 -0600

dds2tar (2.5.2-3) unstable; urgency=low

  * correct Kieren's email address here and in scsi_vendor script

 -- Bdale Garbee <bdale@gag.com>  Wed,  2 Jul 2003 09:04:43 -0600

dds2tar (2.5.2-2) unstable; urgency=low

  * update control file to direct this to optional, not extra
  * accept bash port of scsi_vendor script from Kieren Hynd <kieren@tigs.org>
    to eliminate dependency on tcsh for this script to be useful.

 -- Bdale Garbee <bdale@gag.com>  Tue,  1 Jul 2003 20:27:40 -0600

dds2tar (2.5.2-1) unstable; urgency=low

  * new upstream version
  * apply fix for parsing of indexes from current Debian tar provided by
    Christof Meerwald <cmeerw@web.de>, closes: #119692

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Mar 2002 19:17:56 -0700

dds2tar (2.4.21-3) unstable; urgency=low

  * update to current policy

 -- Bdale Garbee <bdale@gag.com>  Wed,  1 Dec 1999 23:27:00 -0700

dds2tar (2.4.21-2) frozen unstable; urgency=low

  * update dependencies, since scsi_vendor apparently needs tcsh, not just 
    c-shell... closes 30895

 -- Bdale Garbee <bdale@gag.com>  Mon, 18 Jan 1999 22:38:05 -0700

dds2tar (2.4.21-1) unstable; urgency=low
  
  * new upstream version, closes 27551

 -- Bdale Garbee <bdale@gag.com>  Wed,  7 Oct 1998 23:13:37 -0600

dds2tar (2.4.15-3) frozen unstable; urgency=high

  * another attempt to get this into hamm, rebuilding to get a good changes
    file

 -- Bdale Garbee <bdale@gag.com>  Tue, 23 Jun 1998 16:04:30 -0600

dds2tar (2.4.15-2) frozen unstable; urgency=low

  * reinstate package after having requested it be removed from the archive,
    since the utilities here are still needed by DDS tape users to take 
    advantage of the patch which is now part of the base tar package... /o\
  * update rules file to reflect debhelper changes and get a clean lintian
    report

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Apr 1998 22:28:41 -0600

dds2tar (2.4.15-1) unstable; urgency=low

  * new upstream version
  * dds2tar now depends on tar being patched instead of providing a new tar

 -- Bdale Garbee <bdale@gag.com>  Wed,  4 Feb 1998 04:20:37 -0700

dds2tar (2.4.13-4) unstable; urgency=low

  * make copyright reference the GPL instead of including it.  Closes 14909.

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Nov 1997 21:36:48 -0700

dds2tar (2.4.13-3) unstable; urgency=low

  * New maintainer.
  * libc6

 -- Bdale Garbee <bdale@gag.com>  Mon, 27 Oct 1997 08:08:41 -0700

dds2tar (2.4.13-2) frozen unstable; urgency=low

  * Rebuilt to change name of upstream changelog (#9641).
  * Fixed source package to compile with bash 2.0
  * Changed section to utils.
  * Fixed typo in description.
  * Upgrade to package standard 2.1.3.2.

 -- Christian Schwarz <schwarz@debian.org>  Sun, 11 May 1997 13:57:07 +0200

dds2tar (2.4.13-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 9 Jan 1997 13:40:02 +0100

Local variables:
mode: debian-changelog
End:
