=== debian/control ===
Source: dds2tar
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat(= 13), 
Standards-Version: 4.6.1 
# There used to be a repository at:
# * Vcs-Git: git://git.gag.com/debian/dds2tar
# * Vcs-Browser: http://git.gag.com/?p=debian/dds2tar

Package: dds2tar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for using DDS features of DAT drives with GNU tar
 This tool makes use of the fast seek command of DAT devices.
 Files from a selected file archive can be extracted within one minute.
 .
 A script scsi_vendor is provided which may help in learning more about 
 an unknown SCSI device.  It is used by the mt-dds tool.
