=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- "`dpkg-buildflags --export=configure`"

override_dh_auto_install:
	make install DESTDIR=debian/dds2tar

override_dh_installman:
	rm -rf debian/dds2tar/usr/share/man/man1 
	dh_installman
